-- 基础信息
base_info = {
	group_id = 111102035
}

-- DEFS_MISCS
local        defs = {

        --连线形态
        patterns =
        {
                --形态1
                [1] =
                {
                       	[35001] = 35002,
                        	[35002] = 35003,
		[35003] = 35004,
                                [35004] = 35005,
                                [35005] = 35006,
                                [35006] = 35001,
                },
                --形态2
                [2] =
                {
                       	[35001] = 35003,
                        	[35002] = 35004,
		[35003] = 35004,
                                [35004] = 35006,
                                [35005] = 35001,
                                [35006] = 35001,
                },
        }

}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[35001] = { config_id = 35001, gadget_id = 70310179, pos = { x = 1548.229, y = 258.895, z = -1654.023 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[35002] = { config_id = 35002, gadget_id = 70310179, pos = { x = 1547.309, y = 258.895, z = -1650.384 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[35003] = { config_id = 35003, gadget_id = 70310179, pos = { x = 1547.646, y = 256.135, z = -1652.576 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[35004] = { config_id = 35004, gadget_id = 70310179, pos = { x = 1547.309, y = 257.553, z = -1646.969 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[35005] = { config_id = 35005, gadget_id = 70310179, pos = { x = 1547.309, y = 259.663, z = -1643.810 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[35006] = { config_id = 35006, gadget_id = 70310179, pos = { x = 1547.309, y = 262.661, z = -1646.969 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 35001, 35002, 35003, 35004, 35005, 35006 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_8/ConstellationPattern"
